<?php

namespace Pmg\Includes;

class Backend
{

	public function __construct() {

		$this->check_for_updates();
		$this->startActivation();

	}

	public function check_for_updates()
	{
		// only load file if it has not been loaded
		if (is_admin()) {
			if( !class_exists( '\Puc_v4_Factory' ) ) {
				require PMGDIR . 'vendor/plugin-update-checker/plugin-update-checker.php';
			}
			$map_geo_update_checker = \Puc_v4_Factory::buildUpdateChecker(
				'https://plugins.puddinq.com/updates/?action=get_metadata&slug=puddinq-map-geo',
				PMGFILE
			);
		}

	}

	public function startActivation() {
		register_activation_hook(PMGFILE, array('Pmg\Includes\DeActivate', 'activate'));
		register_deactivation_hook(PMGFILE, array('Pmg\Includes\DeActivate', 'deactivate'));
	}
}