<?php
/**
 * Created by PhpStorm.
 * User: sscho
 * Date: 13/01/2018
 * Time: 20:04
 */

namespace Pmg\Includes;

class Geo {

	static function get_geo($address)
	{
		$geo = array();

		$prepAddr = str_replace(' ','+',$address);
		$geocode=file_get_contents('https://maps.googleapis.com/maps/api/geocode/json?address='.$prepAddr.'&sensor=false&region=nl');
		$output= json_decode($geocode);

		$geo['longitude'] = $output->results[0]->geometry->location->lng;
		$geo['latitude'] = $output->results[0]->geometry->location->lat;


		return $geo;
	}

	static function pud_map_geo()
	{
		global $post;

		$pud_map_geo = array();
		$geo = self::get_geo($post->post_title);

		$pud_map_geo['id'] = $post->ID;
		$pud_map_geo['city'] = $post->post_title;
		$pud_map_geo['long'] = $geo['longitude'];
		$pud_map_geo['latt'] = $geo['latitude'];
		return $pud_map_geo;
	}
}